<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mapping Pipeline: Mapping.metrics.METRICS Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mapping Pipeline
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Mapping</b></li><li class="navelem"><b>metrics</b></li><li class="navelem"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html">METRICS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classMapping_1_1metrics_1_1METRICS-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Mapping.metrics.METRICS Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Representation of the metrics.  
 <a href="classMapping_1_1metrics_1_1METRICS.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9fbb0ffa5aa4f8e68c73c83923a82705"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a9fbb0ffa5aa4f8e68c73c83923a82705">__init__</a> (self, sam_file_path, <a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a98ab6f13420b15454861a7fed91b0f21">output</a>=None, <a class="el" href="classMapping_1_1metrics_1_1METRICS.html#aa53a3f1b9647c7bc0714e70498398917">logger</a>=None, samtools=None)</td></tr>
<tr class="memdesc:a9fbb0ffa5aa4f8e68c73c83923a82705"><td class="mdescLeft">&#160;</td><td class="mdescRight">The constructor.  <a href="#a9fbb0ffa5aa4f8e68c73c83923a82705">More...</a><br /></td></tr>
<tr class="separator:a9fbb0ffa5aa4f8e68c73c83923a82705"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad081e87aa2703d0d88272f9d80807f25"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ad081e87aa2703d0d88272f9d80807f25">reads_per_quality</a> (self, reference, i)</td></tr>
<tr class="memdesc:ad081e87aa2703d0d88272f9d80807f25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate one pdf for each reference showing the number of reads (y-axis) that map with a certain mapping quality (x-axis).  <a href="#ad081e87aa2703d0d88272f9d80807f25">More...</a><br /></td></tr>
<tr class="separator:ad081e87aa2703d0d88272f9d80807f25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5606da3f093dcd356f13eee5af86169"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169">compute_metrics</a> (self)</td></tr>
<tr class="memdesc:aa5606da3f093dcd356f13eee5af86169"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calls functions that computes metrics for each reference.  <a href="#aa5606da3f093dcd356f13eee5af86169">More...</a><br /></td></tr>
<tr class="separator:aa5606da3f093dcd356f13eee5af86169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7dcbe19c263339aed16f7e77b33e98f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ab7dcbe19c263339aed16f7e77b33e98f">count_coverage</a> (self, reference)</td></tr>
<tr class="memdesc:ab7dcbe19c263339aed16f7e77b33e98f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Count coverage for each position in each reference, that is reference_count[reference_id][position] = coverage.  <a href="#ab7dcbe19c263339aed16f7e77b33e98f">More...</a><br /></td></tr>
<tr class="separator:ab7dcbe19c263339aed16f7e77b33e98f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e66b4779386487bce179c2c71f27931"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a4e66b4779386487bce179c2c71f27931">count_mapq</a> (self, reference)</td></tr>
<tr class="memdesc:a4e66b4779386487bce179c2c71f27931"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append mapping quality for each position in each reference, that is reference_count[reference_id][position] = [mapqs].  <a href="#a4e66b4779386487bce179c2c71f27931">More...</a><br /></td></tr>
<tr class="separator:a4e66b4779386487bce179c2c71f27931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0161e73998dae4a14d8c3f0cea137d27"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a0161e73998dae4a14d8c3f0cea137d27">bases_per_coverage</a> (self, reference, i)</td></tr>
<tr class="memdesc:a0161e73998dae4a14d8c3f0cea137d27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate one pdf for each reference showing the number of bases (y-axis) that have a certain coverage (x-axis).  <a href="#a0161e73998dae4a14d8c3f0cea137d27">More...</a><br /></td></tr>
<tr class="separator:a0161e73998dae4a14d8c3f0cea137d27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78b4da45ed408011c364b3c6153c9b76"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a78b4da45ed408011c364b3c6153c9b76">coverage_graph</a> (self, reference, i)</td></tr>
<tr class="memdesc:a78b4da45ed408011c364b3c6153c9b76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate one pdf for each reference showing the genome position (y-axis) an the respective coverage (x-axis).  <a href="#a78b4da45ed408011c364b3c6153c9b76">More...</a><br /></td></tr>
<tr class="separator:a78b4da45ed408011c364b3c6153c9b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3693164d2bc315acdac997afc7e8b4d5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a3693164d2bc315acdac997afc7e8b4d5">mapq_graph</a> (self, reference, i)</td></tr>
<tr class="memdesc:a3693164d2bc315acdac997afc7e8b4d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate one pdf for each reference showing the genome position (y-axis) an the respective coverage (x-axis).  <a href="#a3693164d2bc315acdac997afc7e8b4d5">More...</a><br /></td></tr>
<tr class="separator:a3693164d2bc315acdac997afc7e8b4d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f7b69ff8ef51c3241240587e3d1a050"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a3f7b69ff8ef51c3241240587e3d1a050">coverage_stats</a> (self, reference, i)</td></tr>
<tr class="memdesc:a3f7b69ff8ef51c3241240587e3d1a050"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate coverage stats for one reference.  <a href="#a3f7b69ff8ef51c3241240587e3d1a050">More...</a><br /></td></tr>
<tr class="separator:a3f7b69ff8ef51c3241240587e3d1a050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67b9632e918ab11389db0f1f02f89f61"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a67b9632e918ab11389db0f1f02f89f61">read_stats</a> (self)</td></tr>
<tr class="memdesc:a67b9632e918ab11389db0f1f02f89f61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read the flags of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file to get metrics.  <a href="#a67b9632e918ab11389db0f1f02f89f61">More...</a><br /></td></tr>
<tr class="separator:a67b9632e918ab11389db0f1f02f89f61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6db9344a6c279ad264925eeb847c6bb0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a6db9344a6c279ad264925eeb847c6bb0">cleanup</a> (self)</td></tr>
<tr class="memdesc:a6db9344a6c279ad264925eeb847c6bb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete temporary files.  <a href="#a6db9344a6c279ad264925eeb847c6bb0">More...</a><br /></td></tr>
<tr class="separator:a6db9344a6c279ad264925eeb847c6bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7bed01c775f3ea7d9e7d90223e3457d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a7bed01c775f3ea7d9e7d90223e3457d6">sam</a></td></tr>
<tr class="memdesc:a7bed01c775f3ea7d9e7d90223e3457d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Instance of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> class for a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#a7bed01c775f3ea7d9e7d90223e3457d6">More...</a><br /></td></tr>
<tr class="separator:a7bed01c775f3ea7d9e7d90223e3457d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa53a3f1b9647c7bc0714e70498398917"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#aa53a3f1b9647c7bc0714e70498398917">logger</a></td></tr>
<tr class="memdesc:aa53a3f1b9647c7bc0714e70498398917"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logging object to write to.  <a href="#aa53a3f1b9647c7bc0714e70498398917">More...</a><br /></td></tr>
<tr class="separator:aa53a3f1b9647c7bc0714e70498398917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ab6f13420b15454861a7fed91b0f21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a98ab6f13420b15454861a7fed91b0f21">output</a></td></tr>
<tr class="memdesc:a98ab6f13420b15454861a7fed91b0f21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute path to output directory.  <a href="#a98ab6f13420b15454861a7fed91b0f21">More...</a><br /></td></tr>
<tr class="separator:a98ab6f13420b15454861a7fed91b0f21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73df44b441fa253b1790360520a82b4c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a73df44b441fa253b1790360520a82b4c">reference_coverage_count</a></td></tr>
<tr class="memdesc:a73df44b441fa253b1790360520a82b4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the coverage at each position for one reference.  <a href="#a73df44b441fa253b1790360520a82b4c">More...</a><br /></td></tr>
<tr class="separator:a73df44b441fa253b1790360520a82b4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4dace40b650e374c7dfac47181b0cb8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ae4dace40b650e374c7dfac47181b0cb8">reference_mapq_avg</a></td></tr>
<tr class="memdesc:ae4dace40b650e374c7dfac47181b0cb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stoes the average mapping quality at each position for one reference.  <a href="#ae4dace40b650e374c7dfac47181b0cb8">More...</a><br /></td></tr>
<tr class="separator:ae4dace40b650e374c7dfac47181b0cb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7131fd84cfec68543a04075b95079f6c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a7131fd84cfec68543a04075b95079f6c">reads_per_quality_result</a></td></tr>
<tr class="memdesc:a7131fd84cfec68543a04075b95079f6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the reads per quality for each reference.  <a href="#a7131fd84cfec68543a04075b95079f6c">More...</a><br /></td></tr>
<tr class="separator:a7131fd84cfec68543a04075b95079f6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f8651f2c4c88e1a93240d92ed4a78ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a4f8651f2c4c88e1a93240d92ed4a78ad">bases_per_coverage_result</a></td></tr>
<tr class="memdesc:a4f8651f2c4c88e1a93240d92ed4a78ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the bases per coverage for each reference.  <a href="#a4f8651f2c4c88e1a93240d92ed4a78ad">More...</a><br /></td></tr>
<tr class="separator:a4f8651f2c4c88e1a93240d92ed4a78ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e8cd40fa7ff3ebd179c096653b3e08e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a6e8cd40fa7ff3ebd179c096653b3e08e">mapq_graph_result</a></td></tr>
<tr class="memdesc:a6e8cd40fa7ff3ebd179c096653b3e08e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the filename of the mapping quality graph for each reference.  <a href="#a6e8cd40fa7ff3ebd179c096653b3e08e">More...</a><br /></td></tr>
<tr class="separator:a6e8cd40fa7ff3ebd179c096653b3e08e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3534b8fe8fe9adb362294b53b0e48448"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a3534b8fe8fe9adb362294b53b0e48448">coverage_graph_result</a></td></tr>
<tr class="memdesc:a3534b8fe8fe9adb362294b53b0e48448"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the filename of the coverage graph for each reference.  <a href="#a3534b8fe8fe9adb362294b53b0e48448">More...</a><br /></td></tr>
<tr class="separator:a3534b8fe8fe9adb362294b53b0e48448"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2231d31381e10e63cddc78d0fc583975"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a2231d31381e10e63cddc78d0fc583975">cov_stats_result</a></td></tr>
<tr class="memdesc:a2231d31381e10e63cddc78d0fc583975"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the coverage stats for each reference.  <a href="#a2231d31381e10e63cddc78d0fc583975">More...</a><br /></td></tr>
<tr class="separator:a2231d31381e10e63cddc78d0fc583975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace8cd24abd3cb9d001ada857af0c3398"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ace8cd24abd3cb9d001ada857af0c3398">cov_stats</a></td></tr>
<tr class="memdesc:ace8cd24abd3cb9d001ada857af0c3398"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary containing coverage metrics.  <a href="#ace8cd24abd3cb9d001ada857af0c3398">More...</a><br /></td></tr>
<tr class="separator:ace8cd24abd3cb9d001ada857af0c3398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a268f52660c3109ebe3b3f1d9942c133b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a268f52660c3109ebe3b3f1d9942c133b">read_stats</a></td></tr>
<tr class="memdesc:a268f52660c3109ebe3b3f1d9942c133b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary containing read metrics.  <a href="#a268f52660c3109ebe3b3f1d9942c133b">More...</a><br /></td></tr>
<tr class="separator:a268f52660c3109ebe3b3f1d9942c133b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3ee075cfe567aad410fb57e7ead8215"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ad3ee075cfe567aad410fb57e7ead8215">command</a></td></tr>
<tr class="memdesc:ad3ee075cfe567aad410fb57e7ead8215"><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporarly save command call.  <a href="#ad3ee075cfe567aad410fb57e7ead8215">More...</a><br /></td></tr>
<tr class="separator:ad3ee075cfe567aad410fb57e7ead8215"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac2edabad5e57f02b0cf01c7d0e5fe981"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#ac2edabad5e57f02b0cf01c7d0e5fe981">_integer_mean</a> (self, array)</td></tr>
<tr class="memdesc:ac2edabad5e57f02b0cf01c7d0e5fe981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate float mean of the values in array and return the rounded float as int.  <a href="#ac2edabad5e57f02b0cf01c7d0e5fe981">More...</a><br /></td></tr>
<tr class="separator:ac2edabad5e57f02b0cf01c7d0e5fe981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0746f01bd9c174e6bb82dfeb3dffd91d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1METRICS.html#a0746f01bd9c174e6bb82dfeb3dffd91d">_set_axis</a> (self, ax, factor)</td></tr>
<tr class="memdesc:a0746f01bd9c174e6bb82dfeb3dffd91d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Manipulate the xlabel for a plot.  <a href="#a0746f01bd9c174e6bb82dfeb3dffd91d">More...</a><br /></td></tr>
<tr class="separator:a0746f01bd9c174e6bb82dfeb3dffd91d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Representation of the metrics. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9fbb0ffa5aa4f8e68c73c83923a82705"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fbb0ffa5aa4f8e68c73c83923a82705">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sam_file_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>output</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logger</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>samtools</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">sam_file_path</td><td>File path to the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </td></tr>
    <tr><td class="paramname">output</td><td>Path to the output directory. </td></tr>
    <tr><td class="paramname">logger</td><td>Logging object to write to. </td></tr>
    <tr><td class="paramname">samtools</td><td>Directory containing samtools executable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac2edabad5e57f02b0cf01c7d0e5fe981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2edabad5e57f02b0cf01c7d0e5fe981">&#9670;&nbsp;</a></span>_integer_mean()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS._integer_mean </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>array</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculate float mean of the values in array and return the rounded float as int. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">array</td><td>Array to use. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_ac2edabad5e57f02b0cf01c7d0e5fe981_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_ac2edabad5e57f02b0cf01c7d0e5fe981_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_ac2edabad5e57f02b0cf01c7d0e5fe981_icgraph" id="classMapping_1_1metrics_1_1METRICS_ac2edabad5e57f02b0cf01c7d0e5fe981_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#a0161e73998dae4a14d8c3f0cea137d27" title="Generate one pdf for each reference showing the number of bases (y&#45;axis) that have a certain coverage..." alt="" coords="240,5,463,47"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="511,5,748,47"/>
</map>
</div>

</div>
</div>
<a id="a0746f01bd9c174e6bb82dfeb3dffd91d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0746f01bd9c174e6bb82dfeb3dffd91d">&#9670;&nbsp;</a></span>_set_axis()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS._set_axis </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>factor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Manipulate the xlabel for a plot. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">ax</td><td>Axis object. </td></tr>
    <tr><td class="paramname">factor</td><td>Factor to multiply axis labels with. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a0746f01bd9c174e6bb82dfeb3dffd91d_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a0746f01bd9c174e6bb82dfeb3dffd91d_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a0746f01bd9c174e6bb82dfeb3dffd91d_icgraph" id="classMapping_1_1metrics_1_1METRICS_a0746f01bd9c174e6bb82dfeb3dffd91d_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#a0161e73998dae4a14d8c3f0cea137d27" title="Generate one pdf for each reference showing the number of bases (y&#45;axis) that have a certain coverage..." alt="" coords="249,5,471,47"/>
<area shape="rect" id="node4" href="classMapping_1_1metrics_1_1METRICS.html#a78b4da45ed408011c364b3c6153c9b76" title="Generate one pdf for each reference showing the genome position (y&#45;axis) an the respective coverage (..." alt="" coords="240,71,480,112"/>
<area shape="rect" id="node5" href="classMapping_1_1metrics_1_1METRICS.html#a3693164d2bc315acdac997afc7e8b4d5" title="Generate one pdf for each reference showing the genome position (y&#45;axis) an the respective coverage (..." alt="" coords="251,136,469,177"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="528,71,765,112"/>
</map>
</div>

</div>
</div>
<a id="a0161e73998dae4a14d8c3f0cea137d27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0161e73998dae4a14d8c3f0cea137d27">&#9670;&nbsp;</a></span>bases_per_coverage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.bases_per_coverage </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generate one pdf for each reference showing the number of bases (y-axis) that have a certain coverage (x-axis). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference to count for. </td></tr>
    <tr><td class="paramname">i</td><td>Reference counter. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_cgraph" id="classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#ab7dcbe19c263339aed16f7e77b33e98f" title="Count coverage for each position in each reference, that is reference_count[reference_id][position] =..." alt="" coords="276,5,495,47"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#ac2edabad5e57f02b0cf01c7d0e5fe981" title="Calculate float mean of the values in array and return the rounded float as int. " alt="" coords="292,71,479,112"/>
<area shape="rect" id="node4" href="classMapping_1_1metrics_1_1METRICS.html#a0746f01bd9c174e6bb82dfeb3dffd91d" title="Manipulate the xlabel for a plot. " alt="" coords="292,136,479,177"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_icgraph" id="classMapping_1_1metrics_1_1METRICS_a0161e73998dae4a14d8c3f0cea137d27_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="276,5,513,47"/>
</map>
</div>

</div>
</div>
<a id="a6db9344a6c279ad264925eeb847c6bb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6db9344a6c279ad264925eeb847c6bb0">&#9670;&nbsp;</a></span>cleanup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.cleanup </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Delete temporary files. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa5606da3f093dcd356f13eee5af86169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5606da3f093dcd356f13eee5af86169">&#9670;&nbsp;</a></span>compute_metrics()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.compute_metrics </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calls functions that computes metrics for each reference. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_aa5606da3f093dcd356f13eee5af86169_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_aa5606da3f093dcd356f13eee5af86169_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_aa5606da3f093dcd356f13eee5af86169_cgraph" id="classMapping_1_1metrics_1_1METRICS_aa5606da3f093dcd356f13eee5af86169_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#ab7dcbe19c263339aed16f7e77b33e98f" title="Count coverage for each position in each reference, that is reference_count[reference_id][position] =..." alt="" coords="599,71,817,112"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#a4e66b4779386487bce179c2c71f27931" title="Append mapping quality for each position in each reference, that is reference_count[reference_id][pos..." alt="" coords="579,231,837,258"/>
<area shape="rect" id="node4" href="classMapping_1_1metrics_1_1METRICS.html#ad081e87aa2703d0d88272f9d80807f25" title="Generate one pdf for each reference showing the number of reads (y&#45;axis) that map with a certain mapp..." alt="" coords="301,312,520,353"/>
<area shape="rect" id="node5" href="classMapping_1_1metrics_1_1METRICS.html#a0161e73998dae4a14d8c3f0cea137d27" title="Generate one pdf for each reference showing the number of bases (y&#45;axis) that have a certain coverage..." alt="" coords="299,12,522,53"/>
<area shape="rect" id="node8" href="classMapping_1_1metrics_1_1METRICS.html#a78b4da45ed408011c364b3c6153c9b76" title="Generate one pdf for each reference showing the genome position (y&#45;axis) an the respective coverage (..." alt="" coords="291,129,531,171"/>
<area shape="rect" id="node9" href="classMapping_1_1metrics_1_1METRICS.html#a3693164d2bc315acdac997afc7e8b4d5" title="Generate one pdf for each reference showing the genome position (y&#45;axis) an the respective coverage (..." alt="" coords="301,195,520,236"/>
<area shape="rect" id="node10" href="classMapping_1_1metrics_1_1METRICS.html#a3f7b69ff8ef51c3241240587e3d1a050" title="Calculate coverage stats for one reference. " alt="" coords="291,377,531,419"/>
<area shape="rect" id="node6" href="classMapping_1_1metrics_1_1METRICS.html#ac2edabad5e57f02b0cf01c7d0e5fe981" title="Calculate float mean of the values in array and return the rounded float as int. " alt="" coords="615,5,801,47"/>
<area shape="rect" id="node7" href="classMapping_1_1metrics_1_1METRICS.html#a0746f01bd9c174e6bb82dfeb3dffd91d" title="Manipulate the xlabel for a plot. " alt="" coords="615,136,801,177"/>
</map>
</div>

</div>
</div>
<a id="ab7dcbe19c263339aed16f7e77b33e98f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7dcbe19c263339aed16f7e77b33e98f">&#9670;&nbsp;</a></span>count_coverage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.count_coverage </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Count coverage for each position in each reference, that is reference_count[reference_id][position] = coverage. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>The reference to count for. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_ab7dcbe19c263339aed16f7e77b33e98f_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_ab7dcbe19c263339aed16f7e77b33e98f_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_ab7dcbe19c263339aed16f7e77b33e98f_icgraph" id="classMapping_1_1metrics_1_1METRICS_ab7dcbe19c263339aed16f7e77b33e98f_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="560,26,797,68"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#a0161e73998dae4a14d8c3f0cea137d27" title="Generate one pdf for each reference showing the number of bases (y&#45;axis) that have a certain coverage..." alt="" coords="281,26,503,68"/>
<area shape="rect" id="node4" href="classMapping_1_1metrics_1_1METRICS.html#a78b4da45ed408011c364b3c6153c9b76" title="Generate one pdf for each reference showing the genome position (y&#45;axis) an the respective coverage (..." alt="" coords="272,92,512,133"/>
</map>
</div>

</div>
</div>
<a id="a4e66b4779386487bce179c2c71f27931"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e66b4779386487bce179c2c71f27931">&#9670;&nbsp;</a></span>count_mapq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.count_mapq </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append mapping quality for each position in each reference, that is reference_count[reference_id][position] = [mapqs]. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>The reference to count for. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a4e66b4779386487bce179c2c71f27931_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a4e66b4779386487bce179c2c71f27931_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a4e66b4779386487bce179c2c71f27931_icgraph" id="classMapping_1_1metrics_1_1METRICS_a4e66b4779386487bce179c2c71f27931_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="579,5,816,47"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#a3693164d2bc315acdac997afc7e8b4d5" title="Generate one pdf for each reference showing the genome position (y&#45;axis) an the respective coverage (..." alt="" coords="312,35,531,76"/>
</map>
</div>

</div>
</div>
<a id="a78b4da45ed408011c364b3c6153c9b76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78b4da45ed408011c364b3c6153c9b76">&#9670;&nbsp;</a></span>coverage_graph()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.coverage_graph </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generate one pdf for each reference showing the genome position (y-axis) an the respective coverage (x-axis). </p>
<p>The genome is reduced/binned into 1000 points. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference to count for. </td></tr>
    <tr><td class="paramname">i</td><td>Reference counter. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_cgraph" id="classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#ab7dcbe19c263339aed16f7e77b33e98f" title="Count coverage for each position in each reference, that is reference_count[reference_id][position] =..." alt="" coords="293,5,512,47"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#a0746f01bd9c174e6bb82dfeb3dffd91d" title="Manipulate the xlabel for a plot. " alt="" coords="309,71,496,112"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_icgraph" id="classMapping_1_1metrics_1_1METRICS_a78b4da45ed408011c364b3c6153c9b76_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="293,5,531,47"/>
</map>
</div>

</div>
</div>
<a id="a3f7b69ff8ef51c3241240587e3d1a050"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f7b69ff8ef51c3241240587e3d1a050">&#9670;&nbsp;</a></span>coverage_stats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.coverage_stats </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculate coverage stats for one reference. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference to count for. </td></tr>
    <tr><td class="paramname">i</td><td>Reference counter. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a3f7b69ff8ef51c3241240587e3d1a050_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a3f7b69ff8ef51c3241240587e3d1a050_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a3f7b69ff8ef51c3241240587e3d1a050_icgraph" id="classMapping_1_1metrics_1_1METRICS_a3f7b69ff8ef51c3241240587e3d1a050_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="293,5,531,47"/>
</map>
</div>

</div>
</div>
<a id="a3693164d2bc315acdac997afc7e8b4d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3693164d2bc315acdac997afc7e8b4d5">&#9670;&nbsp;</a></span>mapq_graph()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.mapq_graph </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generate one pdf for each reference showing the genome position (y-axis) an the respective coverage (x-axis). </p>
<p>The genome is reduced/binned into 1000 points. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference to count for. </td></tr>
    <tr><td class="paramname">i</td><td>Reference counter. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_cgraph" id="classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#a4e66b4779386487bce179c2c71f27931" title="Append mapping quality for each position in each reference, that is reference_count[reference_id][pos..." alt="" coords="272,5,531,32"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1METRICS.html#a0746f01bd9c174e6bb82dfeb3dffd91d" title="Manipulate the xlabel for a plot. " alt="" coords="308,57,495,98"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_icgraph" id="classMapping_1_1metrics_1_1METRICS_a3693164d2bc315acdac997afc7e8b4d5_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="272,5,509,47"/>
</map>
</div>

</div>
</div>
<a id="a67b9632e918ab11389db0f1f02f89f61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67b9632e918ab11389db0f1f02f89f61">&#9670;&nbsp;</a></span>read_stats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.read_stats </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read the flags of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file to get metrics. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad081e87aa2703d0d88272f9d80807f25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad081e87aa2703d0d88272f9d80807f25">&#9670;&nbsp;</a></span>reads_per_quality()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.METRICS.reads_per_quality </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generate one pdf for each reference showing the number of reads (y-axis) that map with a certain mapping quality (x-axis). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>The reference for which to count the reads per quality. </td></tr>
    <tr><td class="paramname">i</td><td>Counter for the references. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1METRICS_ad081e87aa2703d0d88272f9d80807f25_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1METRICS_ad081e87aa2703d0d88272f9d80807f25_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1METRICS_ad081e87aa2703d0d88272f9d80807f25_icgraph" id="classMapping_1_1metrics_1_1METRICS_ad081e87aa2703d0d88272f9d80807f25_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1METRICS.html#aa5606da3f093dcd356f13eee5af86169" title="Calls functions that computes metrics for each reference. " alt="" coords="272,5,509,47"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4f8651f2c4c88e1a93240d92ed4a78ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f8651f2c4c88e1a93240d92ed4a78ad">&#9670;&nbsp;</a></span>bases_per_coverage_result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.bases_per_coverage_result</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores the bases per coverage for each reference. </p>

</div>
</div>
<a id="ad3ee075cfe567aad410fb57e7ead8215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3ee075cfe567aad410fb57e7ead8215">&#9670;&nbsp;</a></span>command</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.command</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Temporarly save command call. </p>

</div>
</div>
<a id="ace8cd24abd3cb9d001ada857af0c3398"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace8cd24abd3cb9d001ada857af0c3398">&#9670;&nbsp;</a></span>cov_stats</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.cov_stats</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary containing coverage metrics. </p>

</div>
</div>
<a id="a2231d31381e10e63cddc78d0fc583975"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2231d31381e10e63cddc78d0fc583975">&#9670;&nbsp;</a></span>cov_stats_result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.cov_stats_result</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores the coverage stats for each reference. </p>

</div>
</div>
<a id="a3534b8fe8fe9adb362294b53b0e48448"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3534b8fe8fe9adb362294b53b0e48448">&#9670;&nbsp;</a></span>coverage_graph_result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.coverage_graph_result</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores the filename of the coverage graph for each reference. </p>

</div>
</div>
<a id="aa53a3f1b9647c7bc0714e70498398917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa53a3f1b9647c7bc0714e70498398917">&#9670;&nbsp;</a></span>logger</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.logger</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Logging object to write to. </p>

</div>
</div>
<a id="a6e8cd40fa7ff3ebd179c096653b3e08e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e8cd40fa7ff3ebd179c096653b3e08e">&#9670;&nbsp;</a></span>mapq_graph_result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.mapq_graph_result</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores the filename of the mapping quality graph for each reference. </p>

</div>
</div>
<a id="a98ab6f13420b15454861a7fed91b0f21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ab6f13420b15454861a7fed91b0f21">&#9670;&nbsp;</a></span>output</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.output</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Absolute path to output directory. </p>

</div>
</div>
<a id="a268f52660c3109ebe3b3f1d9942c133b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a268f52660c3109ebe3b3f1d9942c133b">&#9670;&nbsp;</a></span>read_stats</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.read_stats</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary containing read metrics. </p>

</div>
</div>
<a id="a7131fd84cfec68543a04075b95079f6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7131fd84cfec68543a04075b95079f6c">&#9670;&nbsp;</a></span>reads_per_quality_result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.reads_per_quality_result</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores the reads per quality for each reference. </p>

</div>
</div>
<a id="a73df44b441fa253b1790360520a82b4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73df44b441fa253b1790360520a82b4c">&#9670;&nbsp;</a></span>reference_coverage_count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.reference_coverage_count</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores the coverage at each position for one reference. </p>

</div>
</div>
<a id="ae4dace40b650e374c7dfac47181b0cb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4dace40b650e374c7dfac47181b0cb8">&#9670;&nbsp;</a></span>reference_mapq_avg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.reference_mapq_avg</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stoes the average mapping quality at each position for one reference. </p>

</div>
</div>
<a id="a7bed01c775f3ea7d9e7d90223e3457d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bed01c775f3ea7d9e7d90223e3457d6">&#9670;&nbsp;</a></span>sam</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.METRICS.sam</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Instance of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> class for a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>metrics.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
